Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.phylo.io.nexus
Class TaxaBlockParser

    java.lang.Object
      org.biojavax.bio.phylo.io.nexus.NexusBlockParser.Abstract
          org.biojavax.bio.phylo.io.nexus.TaxaBlockParser

All Implemented Interfaces:
  NexusBlockParser

    public class TaxaBlockParser

extends NexusBlockParser.Abstract

Parses Nexus taxa blocks.

Since:
  1.6
Author:
  Richard Holland, Tobias Thierer, Jim Balhoff

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojavax.bio.phylo.io.nexus.NexusBlockParser
`NexusBlockParser.Abstract`

Field Summary

Fields inherited from interface org.biojavax.bio.phylo.io.nexus.NexusBlockParser
`UNKNOWN_BLOCK`

Constructor Summary
`TaxaBlockParser(TaxaBlockListener blockListener)` Delegates to NexusBlockParser.Abstract.

Method Summary
`void` | `parseToken(String token)` Notifies the parser of the next token.
`void` | `resetStatus()` This function is called when the parser is reset before starting a new block.

Methods inherited from class org.biojavax.bio.phylo.io.nexus.NexusBlockParser.Abstract
`beginComment, commentText, endBlock, endComment, endTokenGroup, getBlockListener, getBlockName, startBlock, wantsBracketsAndBraces`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaxaBlockParser

    public TaxaBlockParser(TaxaBlockListener blockListener)

  Delegates to NexusBlockParser.Abstract.

  Parameters:
    `blockListener` - the listener to send parse events to.

Method Detail

### resetStatus

    public void resetStatus()

  Description copied from class: `NexusBlockParser.Abstract`
  This function is called when the parser is reset before starting a new block.

  Specified by:
    `resetStatus` in class `NexusBlockParser.Abstract`

### parseToken

    public void parseToken(String token)
                    throws ParseException

  Description copied from interface: `NexusBlockParser`
  Notifies the parser of the next token. Comment tokens will already have been parsed out and sent separately to the text() method of the listener. Quoted strings will have been parsed and underscores converted. What this token contains is the full string, after removal of quotes if necessary. The token will never be only whitespace.

  Specified by:
    `parseToken` in interface `NexusBlockParser`
  Specified by:
    `parseToken` in class `NexusBlockParser.Abstract`
  Parameters:
    `token` - the token to parse.
  Throws:
    `ParseException` - if the token is unparseable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD